com.holonplatform.reactor.datastore.operation

## Interface ReactiveUpdate

- All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodity, com.holonplatform.core.datastore.operation.commons.DatastoreOperation<ReactiveUpdate,com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder<ReactiveUpdate>, com.holonplatform.core.datastore.operation.commons.ExecutableOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>>, com.holonplatform.core.datastore.operation.commons.ExecutablePropertyBoxOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveUpdate>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<ReactiveUpdate>, com.holonplatform.core.datastore.operation.commons.PropertyBoxOperation<ReactiveUpdate,com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration>, com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration.Builder<ReactiveUpdate>, Serializable

      public interface ReactiveUpdate
      extends com.holonplatform.core.datastore.operation.commons.ExecutablePropertyBoxOperation<reactor.core.publisher.Mono<com.holonplatform.core.datastore.Datastore.OperationResult>,ReactiveUpdate>

  Reactive update `ExecutablePropertyBoxOperation` operation, using a `Mono` to represent and handle the operation result.
  Since:
    5.2.0
  See Also:
    `ReactiveDatastore`

- - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperation

      `getConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.PropertyBoxOperationConfiguration.Builder

      `value`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration.Builder

      `parameter, parameter, target, withExpressionResolvers, withWriteOption, withWriteOptions, withWriteOptions`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.ExecutableOperation

      `execute`

Copyright © 2019 The Holon Platform. All rights reserved.